<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Бармен онлайн';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
  echo "Вы не зарегистрированы";
  include_once '../sys/inc/tfoot.php';
  break;
}

include_once 'inc/start.php';

$id=abs(intval($_GET['id']));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `bar_user` WHERE `id_u`='".$id."'"),0)==0)
$doc->access_denied('Такого пользователя нет');

$b_u=mysql_fetch_array(mysql_query("SELECT * FROM `bar_user` WHERE `id_u`='".$id."'"));
if(isset($_GET['pod']) && $id!=$user_id){
			
if(isset($_GET['ok']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `bar_coctails` WHERE `id_u`='".$user_id."' AND `act`!='2' AND `id`='".abs(intval($_GET['ok']))."'"),0)!=0){
mysql_query("UPDATE `bar_coctails` SET `sender`='".$user_id."',`pol`='".$id."',`id_u`='".$id."' WHERE `id`='".abs(intval($_GET['ok']))."'");

bar_msg($diz['msg'],'Коктейль подарен!');
ret($diz['ret'],'Вернутся в анкету','profile.php?id='.$id);
ret($diz['ret'],'Мой бар','index.php');
exit;


}
			
			
			
echo "
<div class='".$diz['main']."'>

<img src='i/4.png' /> ".$bar_user['level']."
<img src='i/exp.png' /> ".$bar_user['exp']."
<img src='i/d.png' /> ".$bar_user['money']."
<br/><img src='i/bottle.png' />".$bar_user['alc']." ".nap($bar_user['alc'])."
<div class='".$diz['title2']."'>Мои коктейли</div>
";
$total=mysql_result(mysql_query("SELECT COUNT(*) FROM `bar_coctails` WHERE `id_u`='".$user_id."' AND `act`!='2'"),0);

if($total==0)
echo "У вас нет приготовленных коктейлей";
else
{
$quert=mysql_query("SELECT * FROM `bar_coctails` WHERE `id_u`='".$user_id."' AND `act`!='2' ORDER BY `id` ASC LIMIT ".$start.",5");

while($array=mysql_fetch_array($quert)){

echo '<table cellpadding="0">
<tr>
<td style="border: 2px solid #0090C4;
background-color: #fff;
height:48px;
width:48px;" align="center">
<img src="i/r_'.$array['id_r'].'.png" alt="." />
</td>
<td>
Коктейль  &quot;'.$array['name'].'&quot;
<br/>
<a href="profile.php?id='.$id.'&amp;pod&amp;ok='.$array['id'].'">Подарить</a>
</td></tr></table>';
}



if ($total > 5) {
    echo bar_pagenav('profile.php?id='.$id.'&amp;pod&amp;', $start, $total, 5);
   }}
   ret($diz['ret'],'Вернутся в анкету','profile.php?id='.$id);

}
else{

echo "
<div class='".$diz['main']."'>
<div class='".$diz['title2']."'>Анкета ".$b_u['login']."</div>
Бар &quot;".bar_output($b_u['name'])."&quot;<br/>
Опыт : ".($b_u['exp'])."<br/>
Уровень : ".($b_u['level'])."<br/>
Денег : ".($b_u['money'])."<br/>
Создан : ".bar_date($b_u['reg'])."<br/>
Продано коктейлей : ".($b_u['coctails'])."<br/>
Уровень алкоголя : ".($b_u['alc'])."/1000<br/>
Напился : ".($b_u['nap'])." раз<br/>
<div class='".$diz['title2']."'>Действия</div>
".($user_id!=$id ? "&raquo; <a href='profile.php?id=".$id."&amp;pod'>Подарить коктейль</a><br/>" : "")."
&raquo; <a href='/info.php?id=".$id."'>Анкета сайта</a><br/>

";
}
echo "</div>";
ret($diz['ret'],'Мой бар','index.php');
 include_once '../sys/inc/tfoot.php';
?>
